Skip to main content
GET
/
v1
/
rules
List Rules
curl --request GET \
  --url https://api.example.com/v1/rules/
{
  "results": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "policy_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "rule_id": "<string>",
      "rule_type": "permission",
      "action": "<string>",
      "consequence": {
        "action": "warn",
        "severity": "medium",
        "message": "<string>"
      },
      "natural_language": "<string>",
      "created_at": 123,
      "updated_at": 123,
      "target": "<string>",
      "assignee": "agent",
      "constraints": [],
      "constraint_logic": "all",
      "provenance": {
        "extracted_by": "manual",
        "model_used": "<string>",
        "confidence_score": 123,
        "source_location": {
          "section": "<string>",
          "paragraph": 123,
          "char_start": 123,
          "char_end": 123,
          "source_text": "<string>"
        }
      },
      "category": "privacy",
      "tags": [
        "<string>"
      ],
      "status": "draft",
      "reviewed_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "reviewed_at": 123,
      "review_notes": "<string>"
    }
  ],
  "count": 123
}

Query Parameters

policy_id
string<uuid> | null
status
enum<string> | null

Review status of a policy rule.

Available options:
draft,
approved,
rejected,
modified
category
enum<string> | null

Category of policy document.

Available options:
privacy,
ethics,
security,
compliance,
operational,
brand,
custom
limit
integer
default:100
Required range: 1 <= x <= 1000
offset
integer
default:0
Required range: x >= 0

Response

Successful Response

Response model for list endpoints with pagination.

results
PolicyRule · object[]
required
count
integer
required
Last modified on April 21, 2026